/*
Copyright 2001 David J. Humphreys (humphrd@tcd.ie)

   This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "barcode.h"
extern int Barcode_svg_print(struct Barcode_Item *bc, FILE *f);

int main(int argc, char **argv){
  if(argc !=3){
    printf("Run as:%s file.svg code\n",argv[0]);
    return 1;
  }
  else{
    FILE *my_file = fopen(argv[1],"w");
    struct Barcode_Item *Bar;
    Bar = Barcode_Create(argv[2]);
    Barcode_Encode(Bar, BARCODE_EAN);
    Barcode_svg_print(Bar,my_file);
  }
  return 0;
}
